Bug 203936 - Yumex doesn't create or pay attention to yum's locks
Summary: Yumex doesn't create or pay attention to yum's locks
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tim Lauridsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-24 16:30 UTC by Stewart Adam
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-09 20:35:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Stewart Adam 2006-08-24 16:30:54 UTC
Description of problem:
Yumex and yum can run at once because Yumex doesn't create a PID file - This
shouldn't be allowed, as running the two at once can cause issues.

Version-Release number of selected component (if applicable):
All, but currently testing the 1.1.0 branch

How reproducible:
Always

Steps to Reproduce:
1. Tell yum to do something
2. Run yumex
3. They will both run
  
Actual results:
Both run without errors

Expected results:
Yumex should create a lock and also check for existing ones, so only one is run
at once.

Additional info:
The behaviour required is already in yum; Running 2 'yum's at once gives an
error - Maybe just a simple 'import' and a function call is requried?

Comment 1 Tim Lauridsen 2006-08-25 07:18:16 UTC
Thanks, that has totally slipped my mind, i have added some calls
to YumBase.doLock & YumBase.doUnLock and added some error catching if yum
alreasdy is locked.
Will be availible in yumex 1.1.2

Comment 2 Stewart Adam 2006-08-25 13:14:32 UTC
Hmmm... This doesn't have to do anything yumex, but have you been noticing many
segfaults in FC6T2? I'm using development rawhide, and I'm getting quite a few
segfautls that end up corrupting the RPM DB, so I have to remove the stale locks
and --rebuilddb. Although, I think the segfaults comes from the RPM process, not
yumex.

Comment 3 Tim Lauridsen 2006-08-25 14:43:42 UTC
Im running FC6T2 + Updates from Rawhide, I dont have got any segfaults yet.

Comment 4 Stewart Adam 2006-09-08 20:52:04 UTC
Hmmm... I'm just ran yumex 1.1.3 from development, then did 'yum update -y' and
there was no lock messages from either yumex or yum.

Comment 5 Tim Lauridsen 2006-09-09 07:30:07 UTC
I have just retested i start yumex and i starts load yum metadata.

i run the following command:
#sudo yum install banshee

I get the following message from yum:

Existing lock /var/run/yum.pid: another copy is running. Aborting.

I have tried the other way around and then i get this message when yum starts to
load metadata:

Yum is locked by another application

Yumex first set the lock when it starts to load metadata, so i yumex is started
without loading metadata, you will not get an error before the metadata download
 is run, by pressing the 'Refresh' button in the Repo view.




Comment 6 Stewart Adam 2006-09-09 20:35:39 UTC
Just re-rested, it works... I must have been doing something wrong before.


Note You need to log in before you can comment on or make changes to this bug.